GET
Get wallet share
Returns a wallet share, requires unlock if the wallet share includes a keychain.
Path Params
-
coinstring requiredA cryptocurrency or token ticker symbol. -
shareIdstring required
Query Params
-
skipUnlockbooleanTrue, if skipping unlock. Excludes keychain in response.
Responses
200
OK
Response Body
object
-
idstring required -
coinstring requiredA cryptocurrency or token ticker symbol. -
walletstring required -
walletLabelstring required -
fromUserstring required -
toUserstring requiredA cryptocurrency or token ticker symbol. -
permissionstring enumComma-separated list of privileges for a wallet. Includes:
admin- Can manage wallet policies and users and approve or reject pending approvals.freeze- Can freeze a wallet, disabling all withdrawals.spend- Can initiate withdrawals and generate new receive addresses.trade- Can initiate trades from a Go Account (tradingwallet type).view- Can view balances and transactions.
Permissions don't overlap. Required parameter if 'reshare' is false.
adminspendtradeview -
messagestring requiredUser readable message to display to the share recipient -
statestring enum requiredpendingapprovalactiveacceptedcanceledrejected -
enterprisestring required -
pendingApprovalIdstringOnly set if this wallet share is currently pending approval -
keychainobjectOnly set if this wallet share has an associated keychainkeychain object
-
pubstringSharing user's root public key -
encryptedPrvstringSharing user's private key encrypted under their wallet passphrase -
fromPubKeystringSharing user's derived public key which will be used to calculate the wallet sharing secret. -
toPubKeystringShared-to user's derived public key which will be used to calculate the wallet sharing secret. -
pathstringBIP32 HD path of the derived public keys (fromPubKey and toPubKey)
-
401
Unauthorized
Response Body
object
-
errorstring requiredHuman-readable error message -
requestIdstring requiredClient request id -
contextobjectProperties that apply to a specific error name -
namestring requiredError code